package com.srs.dormitory.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.dormitory.domain.DmsNewReg;
import com.srs.dormitory.domain.Dto.DmsSearch;

/**
 * 新生宿舍Service接口
 *
 * @author srs
 * @date 2024-03-30
 */
public interface IDmsNewRegService extends IService<DmsNewReg> {

    public AjaxResult checkDorm(String ksh);

    public AjaxResult checkAllDorm();




    public AjaxResult getStuDorm(DmsSearch param);


    /**
     * 查询新生宿舍
     *
     * @param id 新生宿舍主键
     * @return 新生宿舍
     */
    public DmsNewReg selectDmsNewRegById(Long id);

    /**
     * 查询新生宿舍列表
     *
     * @param dmsNewReg 新生宿舍
     * @return 新生宿舍集合
     */
    List<DmsNewReg> selectDmsNewRegList(DmsNewReg dmsNewReg);

    /**
     * 新增新生宿舍
     *
     * @param dmsNewReg 新生宿舍
     * @return 结果
     */
    int insertDmsNewReg(DmsNewReg dmsNewReg);

    /**
     * 修改新生宿舍
     *
     * @param dmsNewReg 新生宿舍
     * @return 结果
     */
    int updateDmsNewReg(DmsNewReg dmsNewReg);

    /**
     * 批量删除新生宿舍
     *
     * @param ids 需要删除的新生宿舍主键集合
     * @return 结果
     */
    int deleteDmsNewRegByIds(Long[] ids);

    /**
     * 删除新生宿舍信息
     *
     * @param id 新生宿舍主键
     * @return 结果
     */
    int deleteDmsNewRegById(Long id);
}
